---
title: BPMN.iO
tags:
- modeller
- bpmn
---
# BPMN.iO

BPMN.iO is a modeller for ECA and is fully integrated into Drupal's
administration user interface. It provides a graphical user interface that
allows to define models using the BPMN ([Business Process Model and Notation](https://en.wikipedia.org/wiki/Business_Process_Model_and_Notation)
standard.

[Try BPMN.iO online](https://demo.bpmn.io/)

## Links

- [Examples](https://github.com/bpmn-io/bpmn-js-examples)
- [Awesome List](https://github.com/bpmn-io/awesome-bpmn-io)
- [Viewer html](https://github.com/bpmn-io/bpmn-js-examples/blob/master/url-viewer/index.html)
- [Viewer with simulation](https://bpmn-io.github.io/bpmn-js-token-simulation/viewer.html)

## Used components

| Library                                                                                                                 | Version |
|-------------------------------------------------------------------------------------------------------------------------|---------|
| [@bpmn-io/element-template-chooser](https://github.com/bpmn-io/element-template-chooser/blob/master/CHANGELOG.md)       | 1.0.0   |
| [@bpmn-io/element-templates-validator](https://github.com/bpmn-io/element-templates-validator/blob/master/CHANGELOG.md) | 2.3.0   |
| [@bpmn-io/properties-panel](https://github.com/bpmn-io/properties-panel/blob/master/CHANGELOG.md)                       | 3.25.1  |
| [@camunda/element-templates-json-schema](https://github.com/camunda/element-templates-json-schema)                      | 0.12.1  |
| [bpmn-auto-layout](https://github.com/bpmn-io/bpmn-auto-layout/blob/main/CHANGELOG.md) | 1.0.0   |
| [bpmn-js](https://github.com/bpmn-io/bpmn-js/blob/master/CHANGELOG.md)                                                  | 18.1.2  |
| [bpmn-js-element-templates](https://github.com/bpmn-io/bpmn-js-element-templates/blob/master/CHANGELOG.md)              | 2.5.0   |
| [bpmn-js-properties-panel](https://github.com/bpmn-io/bpmn-js-properties-panel/blob/master/CHANGELOG.md)                | 5.30.1  |
| [bpmn-moddle](https://github.com/bpmn-io/bpmn-moddle/blob/master/CHANGELOG.md)                                          | 9.0.1   |
| [camunda-bpmn-moddle](https://github.com/camunda/camunda-bpmn-moddle/blob/master/CHANGELOG.md)                          | 7.0.1   |
| [diagram-js](https://github.com/bpmn-io/diagram-js/blob/master/CHANGELOG.md)                                            | 15.2.4  |
| [jquery](https://github.com/jquery/jquery)                                                                              | 3.7.1   |
| [min-dash](https://github.com/bpmn-io/min-dash)                                                                         | 4.2.2   |
