---
title: "Determining entity access"
tags:
- event
- eca_access
- eca event 1.0.0
---
# Determining entity access

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:entity_bundle]` | The bundle of the entity. |
    | `[event:entity_id]` | The entity ID, only available if the entity is not new. |
    | `[event:entity_type]` | The entity type. |
    | `[event:operation]` | The operation with which the entity should be accessed, e.g. &quot;view&quot;, &quot;update&quot;, etc. |
    | `[event:uid]` | The ID of the user account of the event. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |
    | `[account]` | The user account of the event. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_access/event/access_entity.md!}

## Fields

For any successor of this event, the account that asks for access is available under the &lt;strong&gt;[account]&lt;/strong&gt; token. Example: &lt;strong&gt;[account:uid]&lt;/strong&gt; provides the user ID of the account.

Furthermore, following data of the event is available:&lt;ul&gt;&lt;li&gt;&lt;strong&gt;[event:operation]&lt;/strong&gt; holds the requested operation, such as &quot;view&quot;.&lt;/li&gt;&lt;/ul&gt;

`Restrict by entity type ID`

:   Example: <em>node, taxonomy_term, user</em>

    {!include/plugins/eca_access/event/access_entity/entity_type_id.md!}

`Restrict by entity bundle`

:   Example: <em>article, tags</em>

    {!include/plugins/eca_access/event/access_entity/bundle.md!}

`Restrict by operation`

:   Example: <em>view, update, delete</em>

    {!include/plugins/eca_access/event/access_entity/operation.md!}
