---
title: "Persistent state: write"
tags:
- action
- eca_base
- eca action 1.1.0
---
# Persistent state: write

Available since: 1.1.0

Writes a value into the Drupal state system by the given key.

{!include/plugins/eca_base/action/eca_state_write.md!}

## Fields

`State key`

:   The key of the Drupal state.<br/>This field supports tokens.

    {!include/plugins/eca_base/action/eca_state_write/key.md!}

`The value of the state`

:   The key, where the value is stored into.<br/>This field supports tokens.

    {!include/plugins/eca_base/action/eca_state_write/value.md!}

`Interpret above config value as YAML format`

:   Nested data can be set using YAML format, for example <em>mykey: myvalue</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_base/action/eca_state_write/use_yaml.md!}
