---
title: "Entity: exists"
tags:
- condition
- eca_content
- eca condition 1.0.0
---
# Entity: exists

Available since: 1.0.0

Performs a lookup whether an entity exists and is accessible.

{!include/plugins/eca_content/condition/eca_entity_exists.md!}

## Fields

`Load entity from`

:   Loads the entity from the given list and/or properties below.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_entity_exists_from</em>

    {!include/plugins/eca_content/condition/eca_entity_exists/from.md!}

`Entity type`

:   The type of the entity to be loaded.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_entity_exists_entity_type</em>

    {!include/plugins/eca_content/condition/eca_entity_exists/entity_type.md!}

`Entity ID`

:   The ID of the entity to be loaded.

    {!include/plugins/eca_content/condition/eca_entity_exists/entity_id.md!}

`Revision ID`

:   The revision ID of the entity to be loaded.

    {!include/plugins/eca_content/condition/eca_entity_exists/revision_id.md!}

`Property values`

:   A key-value list of raw field values of the entity to load. This will only be used when loading by properties is selected above. Supports YAML format. Example:<em><br/>field_mynumber: 1</em>. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em><br/>This field supports tokens.

    {!include/plugins/eca_content/condition/eca_entity_exists/properties.md!}

`Language`

:   The language code of the entity to be loaded.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_entity_exists_langcode</em>

    {!include/plugins/eca_content/condition/eca_entity_exists/langcode.md!}

`Load latest revision`

:   Whether loading the latest revision or not.

    {!include/plugins/eca_content/condition/eca_entity_exists/latest_revision.md!}

`Load unchanged values`

:   Whether loading the unchanged values of fields or not.

    {!include/plugins/eca_content/condition/eca_entity_exists/unchanged.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_content/condition/eca_entity_exists/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/condition/eca_entity_exists/entity.md!}
