---
title: "Form: add Ajax handler"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form: add Ajax handler

Available since: 1.0.0

Enhances an existing form field element with an Ajax handler for refreshing parts of a form without refreshing the whole page.

{!include/plugins/eca_form/action/eca_form_add_ajax.md!}

## Fields

`Disable validation errors`

:   Enable this option to completely suppress validation errors.

    {!include/plugins/eca_form/action/eca_form_add_ajax/disable_validation_errors.md!}

`Validate form fields`

:   Machine names of form fields that should be validated. Define multiple values separated with commas. Example: <em>first_name,last_name</em>. When no fields are defined at all and validation is not disabled above, then the whole form will be validated.

    {!include/plugins/eca_form/action/eca_form_add_ajax/validate_fields.md!}

`Target`

:   The machine name of the form element target to refresh via Ajax. When empty, then the whole form will be refreshed.

    {!include/plugins/eca_form/action/eca_form_add_ajax/target.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button. When this form element got Ajax handling attached, using this element will automatically submit the form. Therefore, you can react upon that with regular form events like <em>Build form</em>, <em>Submit form</em> and when validation is enabled, also <em>Validate form</em>.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_add_ajax/field_name.md!}
