---
title: "Form field: compare submitted value"
tags:
- condition
- eca_form
- eca condition 1.0.0
---
# Form field: compare submitted value

Available since: 1.0.0

Compares a submitted form field value.

{!include/plugins/eca_form/condition/eca_form_field_value.md!}

## Fields

`Field value`

:   The field value to compare.<br/>This field supports tokens.

    {!include/plugins/eca_form/condition/eca_form_field_value/field_value.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button.<br/>This field supports tokens.

    {!include/plugins/eca_form/condition/eca_form_field_value/field_name.md!}

`Strip tags`

:   Whether stripping all <em>HTML</em> and <em>PHP</em> tags or not.

    {!include/plugins/eca_form/condition/eca_form_field_value/strip_tags.md!}

`Trim`

:   Whether stripping all whitespaces at the beginning and end or not.

    {!include/plugins/eca_form/condition/eca_form_field_value/trim.md!}

`Filter XSS`

:   Additionally filters out possible cross-site scripting (XSS) text.

    {!include/plugins/eca_form/condition/eca_form_field_value/xss_filter.md!}

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_field_value_operator</em>

    {!include/plugins/eca_form/condition/eca_form_field_value/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_field_value_type</em>

    {!include/plugins/eca_form/condition/eca_form_field_value/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_form/condition/eca_form_field_value/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_form/condition/eca_form_field_value/negate.md!}
