---
title: "ECA Helper: Http Request"
tags:
- action
- eca_helper
- eca_helper action unknown
---
# ECA Helper: Http Request

Available since: unknown

Add Http request for ECA

{!include/plugins/eca_helper/action/eca_helper_http_request.md!}

## Fields

`Method`

:   

    {!include/plugins/eca_helper/action/eca_helper_http_request/method.md!}

`URL`

:   

    {!include/plugins/eca_helper/action/eca_helper_http_request/url.md!}

`Data`

:   

    {!include/plugins/eca_helper/action/eca_helper_http_request/data.md!}

`Data Serialization`

:   

    {!include/plugins/eca_helper/action/eca_helper_http_request/data_serialization.md!}

`Query Parameters`

:   YAML format, for example mykey: myvalue. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: title: "[node:title]"

    {!include/plugins/eca_helper/action/eca_helper_http_request/query_parameters.md!}

`Headers`

:   Headers with YAML format.

    {!include/plugins/eca_helper/action/eca_helper_http_request/headers.md!}

`Cookies`

:   Cookies with YAML format.

    {!include/plugins/eca_helper/action/eca_helper_http_request/cookies.md!}

`Options`

:   The Guzzle request options with YAML format. Reference: https://docs.guzzlephp.org/en/stable/request-options.html

    {!include/plugins/eca_helper/action/eca_helper_http_request/request_options.md!}

`Name of response token`

:   The response value will be loaded into this specified token. You can access [token_name:body], [token_name:headers], [token_name:status] Please provide the token name only, without brackets.

    {!include/plugins/eca_helper/action/eca_helper_http_request/token_name.md!}
