---
title: "Render: cacheability"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: cacheability

Available since: 1.1.0

Add cacheability metadata to a render array. Only works when reacting upon a rendering event, such as "Build form" or "Build ECA Block".

{!include/plugins/eca_render/action/eca_render_cacheability.md!}

## Fields

`Type`

:   <a href="https://www.drupal.org/docs/8/api/cache-api/cache-api#s-cacheability-metadata" target="_blank" rel="nofollow noreferrer">Click here</a> to get more info about cacheability metadata.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_cacheability_cache_type</em>

    {!include/plugins/eca_render/action/eca_render_cacheability/cache_type.md!}

`Value`

:   Separate multiple values with commas. When using <em>Max age</em>, the value must be a valid number (integer).<br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_cacheability/cache_value.md!}
