---
title: "Render: link"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: link

Available since: 1.1.0

Build a link element, optionally displaying its content as a modal or dialog.

{!include/plugins/eca_render/action/eca_render_link.md!}

## Fields

`Title`

:   The title of the link.<br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_link/title.md!}

`URL`

:   The link destination as a valid URL.<br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_link/url.md!}

`Enforce absolute`

:   This makes the destination URL of the link always absolute, also for relative and internal URLs.

    {!include/plugins/eca_render/action/eca_render_link/absolute.md!}

`Link type`

:   Choose how the content of the link should be displayed. More about dialog types can be found <a target="_blank" href="https://www.drupal.org/docs/drupal-apis/ajax-api/ajax-dialog-boxes#s-types-of-dialogs">here</a>."<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_link_link_type</em>

    {!include/plugins/eca_render/action/eca_render_link/link_type.md!}

`Width percentage`

:   Specify the number of width percentage if the link content is being rendered in a modal or dialog.

    {!include/plugins/eca_render/action/eca_render_link/width.md!}

`Display link as`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_link_display_as</em>

    {!include/plugins/eca_render/action/eca_render_link/display_as.md!}

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_link/name.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_link/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_link/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_link_mode</em>

    {!include/plugins/eca_render/action/eca_render_link/mode.md!}
