---
title: "Views: Export query into file"
tags:
- action
- eca_views
- eca action 1.0.0
---
# Views: Export query into file

Available since: 1.0.0

Use a view to execute a query and save the results to a file. You can also save the results in a token.

{!include/plugins/eca_views/action/eca_views_export.md!}

## Fields

`Store results also in a token?`

:   Check this box to save the results to a token as well

    {!include/plugins/eca_views/action/eca_views_export/load_results_into_token.md!}

`Token name for file name`

:   Provide a token name where ECA will store the effectively used filename of the output. Please provide the token name only, without brackets.

    {!include/plugins/eca_views/action/eca_views_export/token_for_filename.md!}

`File name`

:   Sets the name of the file where the data will be exported. If left empty, the file name configured in the view will be used, or a random name otherwise.<br/>This field supports tokens.

    {!include/plugins/eca_views/action/eca_views_export/filename.md!}

`Name of token`

:   Name of the token available after view execution. Contains an indexed list of elements that the view returns. Please provide the token name only, without brackets.

    {!include/plugins/eca_views/action/eca_views_export/token_name.md!}

`View`

:   Select the view from the list. The view  will always return a list of complete entities.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_views_export_view_id</em>

    {!include/plugins/eca_views/action/eca_views_export/view_id.md!}

`Display`

:   Write the view <code>display id</code> to execute. Set as default to use the default view configuration.

    {!include/plugins/eca_views/action/eca_views_export/display_id.md!}

`Arguments`

:   Provide the values for contextual filters in the same order as they are defined in the view. Separate multiple values with the <code>/</code> character.

    {!include/plugins/eca_views/action/eca_views_export/arguments.md!}
